/* 
 * This file is part of XCmail and is subject to the 
 * XCmail license agreement
 */

/* $Id: dictionary.h,v 1.8 1999/03/26 16:03:57 beckerr Exp $ */


#include "../include/plugins.h"
#include "../../src/stringTokenizer.h"

#ifdef HAVE_SYS_SELECT_H
#include <sys/select.h>
#endif

class Dictionary : public mainplugin
{
	appwindow *aw;						// pointer to gadget tree
	config *cfg;
	
	void state(char *s, ...);

	void closeCB(appwindow *);
	int createwin(void);

	void finishCB(gadget *, int);
	void lookupCB(gadget *, int);
	void handleSocket(int);
	void closeSocket(void);

	void newprofile(gadget *gg, int i);
	char **getplist(void);
	
	FILE *logfile;
	int pronum;	
	int sockfd;
	
	char *html;
	int  htmls;
	int  htmli;

	tokenizer profile;
	char **plist;

	group *gp;
	
public:
	Dictionary();
	~Dictionary();

	void init(void);
	void handle(int id);
	void finish(void);

	void cfgsetup(void);
	group *makeconfig(void);
	void setupconfig(group *gp);
	void readconfig(group *gp);
	void readconfigfile(void);
	void writeconfigfile(void);
};
