/* 
 * This file is part of XCmail and is subject to the 
 * XCmail license agreement
 */

/* $Id: job.h,v 1.8 1999/01/24 23:43:18 schmitzj Exp $ */


// public header file - for new jobs
#ifndef JOB_H
#define JOB_H

#include "misc.h"

class job : public cfg_plugin
{
public:
	job(char *name,char *author);
	job(class job *,char *n);
	virtual ~job();

	virtual class job *clone(char *n)=0;	// clone plugin

	virtual int work(class mail *)=0;		// do the job: 0: add mail, 1: don't add, free memory - all jobs are ORed

	virtual int load(tokenizer *)=0;		// gets parameters
	virtual int save(tokenizer *)=0;		// sets parameters

	virtual group *makeprefs(void)=0;		// create dynamic GUI (freed by system) - or NULL
	virtual void setupprefs(group *)=0;		// set defaults or current values in GUI (depends on object: main plugin or clone)
	virtual void readprefs(group *)=0;		// read values and set (only within clone used)
};

#endif
