/* 
 * This file is part of XCmail and is subject to the 
 * XCmail license agreement
 */

/* $Id: test.h,v 2.1 1999/01/07 16:08:51 beckerr Exp $ */


#include "../include/helper.h"

class helper_test : public helper
{
	int menu;
	group *gp;	// required for readmail window

	static int option1;		// options
	config *cfg;			// options
	void cfgsetup(void);	// setup options

public:
	helper_test(char *name,char *author,char *mimes);
	helper_test(class helper_test *);
	~helper_test();

	virtual class helper *clone(char *in,int insize);

	virtual char *go(int &newsize);
	virtual int makegadget(class visible *);
	virtual int makemenu(class menu *,int menu);
	virtual void menuhandler(class menu *,int mid);

	virtual group *makeconfig(void);
	virtual void readconfig(group *);

	virtual void readconfigfile(void);
	virtual void writeconfigfile(void);

};

int helper_test::option1;
