/* 
 * This file is part of XCmail and is subject to the 
 * XCmail license agreement
 */

/* $Id: config.h,v 2.5 2002/02/08 15:40:53 schmitzj Exp $ */


#ifndef CONFIG_H

/* created by configure */
#include "configure.h"

#define MAIL 			SENDMAIL " -oi -oeq -t"

#define HOMEMAIL		"Mail"
#define POPSPOOL		"POPSPOOL"
#define TMPDIR			"/tmp"
#define HISTORYFILE		HOMEMAIL"/.xcmail-uidl:"
#define REMOVEFILE		HOMEMAIL"/.remove-uidl:"
#define RETRIEVEFILE	HOMEMAIL"/.retrieve-uidl:"

// TODO: to be removed soon!
#define FOLDERARCHIV	HOMEMAIL"/ARCHIV"
#define RECEIVEDFOLDER	"received"
#define TRASHFOLDER		"Trash"
#define POP3ID			"POP3MAILBOX"
// ----

#define GLOBALCFGDIR	getenv("XCMAILDIR")?getenv("XCMAILDIR"):GLOBALCFGDEFAULT

#define FROMLEN			40
#define MAXUSERMAIL		40			// max folders
#define MAXMIMEPARTS	50
#define MAXLENGTH		400
#define COOLMENU

#define WARNSIZE		(900*1024)
#define WARNSIZESTR		"900"

#define MIMELEN			100
#define SUFFIXLEN		10
#define COMMANDLEN		100
#define UNIQUE_ID_LEN	20
#define UNIQUE_ID_LEN_STR	"20"

#define MAXSIGNATURES	20

#define TRANSLATE_LINE_WIDTH 400

#define MAINPLUGINMENUMAX		50
#define NEWMAILPLUGINMENUMAX	50
#define SHOWMAILPLUGINMENUMAX	50

#endif
