/* 
 * This file is part of XCmail and is subject to the 
 * XCmail license agreement
 */

/* $Id: filter_mgr.h,v 2.3 1999/01/26 23:29:42 schmitzj Exp $ */


#ifndef FILTER_MGR_H
#define FILTER_MGR_H

#include <Xclasses/Xclasses.h>
#include "mailer.h"

class filter_mgr : public Xclasses
{
	appwindow *aw;

	void close(appwindow *);
	void close(gadget *,int);
	void save(gadget *,int);
	
public:
	filter_mgr(void);
	~filter_mgr();

	int filterMail(class mail *);
	void filterPrefs(void);
	int hasFilters(void);
	int loadPrefs(void);
	int savePrefs(void);
};

extern filter_mgr filtermaster;

#endif
