/* 
 * This file is part of XCmail and is subject to the 
 * XCmail license agreement
 */

/* $Id: gfxobjects.h,v 2.2 2001/10/10 17:12:01 schmitzj Exp $ */


#ifndef GFXOBJECTS_H
#define GFXOBJECTS_H

#include <Xclasses/gfx_object.h>

class gfx_folder : public gfx_object
{
	int col;
	void draw(class gadget *g,int x,int y,int w,int h,int c);

public:
	gfx_folder(void);
	~gfx_folder();

	void Adjust(int a);
	void draw_normal(class gadget *g,int x,int y,int w,int h);
	void draw_selected(class gadget *g,int x,int y,int w,int h);
	void draw_locked(class gadget *g,int x,int y,int w,int h);
	void draw_selectedlocked(class gadget *g,int x,int y,int w,int h);
	int height(class gadget *g);
	int width(class gadget *g);
};

class gfx_readonly : public gfx_object
{
	int col;
	void draw(class gadget *g,int x,int y,int w,int h,int c);

public:
	gfx_readonly(void);
	~gfx_readonly();

	void Adjust(int a);
	void draw_normal(class gadget *g,int x,int y,int w,int h);
	void draw_selected(class gadget *g,int x,int y,int w,int h);
	void draw_locked(class gadget *g,int x,int y,int w,int h);
	void draw_selectedlocked(class gadget *g,int x,int y,int w,int h);
	int height(class gadget *g);
	int width(class gadget *g);
};

class gfx_trash : public gfx_object
{
	int col;
	void draw(class gadget *g,int x,int y,int w,int h,int c);

public:
	gfx_trash(void);
	~gfx_trash();

	void Adjust(int a);
	void draw_normal(class gadget *g,int x,int y,int w,int h);
	void draw_selected(class gadget *g,int x,int y,int w,int h);
	void draw_locked(class gadget *g,int x,int y,int w,int h);
	void draw_selectedlocked(class gadget *g,int x,int y,int w,int h);
	int height(class gadget *g);
	int width(class gadget *g);
};

class gfx_inbox : public gfx_object
{
	int col1;
	int col2;
	void draw(class gadget *g,int x,int y,int w,int h,int c);

public:
	gfx_inbox(void);
	~gfx_inbox();

	void Adjust(int a);
	void draw_normal(class gadget *g,int x,int y,int w,int h);
	void draw_selected(class gadget *g,int x,int y,int w,int h);
	void draw_locked(class gadget *g,int x,int y,int w,int h);
	void draw_selectedlocked(class gadget *g,int x,int y,int w,int h);
	int height(class gadget *g);
	int width(class gadget *g);
};

class gfx_outbox : public gfx_object
{
	int col1;
	int col2;
	void draw(class gadget *g,int x,int y,int w,int h,int c);

public:
	gfx_outbox(void);
	~gfx_outbox();

	void Adjust(int a);
	void draw_normal(class gadget *g,int x,int y,int w,int h);
	void draw_selected(class gadget *g,int x,int y,int w,int h);
	void draw_locked(class gadget *g,int x,int y,int w,int h);
	void draw_selectedlocked(class gadget *g,int x,int y,int w,int h);
	int height(class gadget *g);
	int width(class gadget *g);
};

class gfx_received : public gfx_object
{
	int col;
	void draw(class gadget *g,int x,int y,int w,int h,int c);

public:
	gfx_received(void);
	~gfx_received();

	void Adjust(int a);
	void draw_normal(class gadget *g,int x,int y,int w,int h);
	void draw_selected(class gadget *g,int x,int y,int w,int h);
	void draw_locked(class gadget *g,int x,int y,int w,int h);
	void draw_selectedlocked(class gadget *g,int x,int y,int w,int h);
	int height(class gadget *g);
	int width(class gadget *g);
};

#endif
