/* 
 * This file is part of XCmail and is subject to the 
 * XCmail license agreement
 */

/* $Id: html.h,v 2.1 1999/01/07 16:09:09 beckerr Exp $ */


#include "../helper.h"
#include "urltools.h"
#include <Xclasses/Xclasses.h>
		
class html : public classUrlList, public helper {
	
	private:
		char *text;
		char *bufP;
		int  size;
		
		char *baseUrl;
		int  pid;
		
		int menu1, menu2, menu3;
		
		char filebuf[256], *filepath;

		static char browser_open[128];
		static char browser_start[128];
		static char editor[128];
		static char linelength;

		config *cfg;
		void cfgsetup(void);

		void NetscapeOpen(class menu *m, char *url);
		void OtherOpen(class menu *m, char *cmd);
	
	public:
		html(void);
		html(class html *,char *,int);
		~html();
		virtual class helper *clone(char *in, int insize);
		virtual char *go(int &newsize);
		int makemenu(class menu *m, int mn);
		void menuhandler(class menu *m,int mid);

		class group *makeconfig(void);
		void readconfig(class group *);
		void readconfigfile(void);
		void writeconfigfile(void);
};

