/* 
 * This file is part of XCmail and is subject to the 
 * XCmail license agreement
 */

/* $Id: pop3size.h,v 2.1 2000/05/30 16:17:45 schmitzj Exp $ */


#include "../helper.h"
#include "../address_book.h"
#include "../strbuf.h"

class pop3size : public callable, helper
{
	char *text;
	int len;
	char *uidl;
	char *host;
	char *hip;
	char *user;
	int size;
	int maxsize;
	group *gp;

	void cb_add(gadget *,int);	// retrive
	void cb_del(gadget *,int);	// del on server
	void cb_rem(gadget *,int);	// don't retrive (rem from list)

public:
	pop3size(void);
	pop3size(pop3size *,char *,int);
	~pop3size();
	virtual helper *clone(char *in, int insize);
	virtual char *go(int &newsize);
	virtual int makegadget(visible *);
};

extern pop3size _pop3size;
