/* 
 * This file is part of XCmail and is subject to the 
 * XCmail license agreement
 */

/* $Id: url.h,v 2.1 1999/01/07 16:09:10 beckerr Exp $ */


#include "../helper.h"
#include "urltools.h"

class url : public classUrlList, public helper {
	
	private:
		char *text;
		int  size;
		int  menu1, menu2;
		
		int  pid;
		int done;

		static char browser_open[128];
		static char browser_start[128];
		config *cfg;
		void cfgsetup(void);
		
	public:
		url(void);
		url(class url *,char *,int);
		~url();
		virtual class helper *clone(char *in, int insize);
		virtual char *go(int &newsize);
		int makemenu(class menu *m, int mn);
		void menuhandler(class menu *m,int mid);

		class group *makeconfig(void);
		void readconfig(class group *);
		void readconfigfile(void);
		void writeconfigfile(void);
};

extern url _url;
