/* 
 * This file is part of XCmail and is subject to the 
 * XCmail license agreement
 */

/* $Id: ps_printer.h,v 2.3 1999/01/07 16:09:02 beckerr Exp $ */


#ifndef PS_PRINTER_H
#define PS_PRINTER_H
// #include <sys/systeminfo.h>

extern "C"
{
#include "xface/xface.h"
}

#define NEW_PAGE 126


class printMail {

public:
	enum PAPERSIZE {DINA4=0, LETTER, LEGAL};
	printMail (mail *m, FILE *fp, char *text, enum PAPERSIZE);

private:	
	int left;
	int right;
	int unuseableHeader;
	int unuseableFooter;
	int fontsize;
	int headerfont;
	int headerSize;
	int footerSize;
	int border;
	int max_x;
	int max_y;
	int linesperpage;
	int PageLines;
	int pages;
	int characters;
	int lines;
	char *name;
	char *host;
	char *user;
	char *toHeader;
	char *ccHeader;
	char *fromHeader;
	char *subjectHeader;
	char *sendDateHeader;
	char *to;
	char *cc;
	char *from;
	char *subject;
	char *sendDate;

	unsigned char bits[512];
	
	int translateCharacter (FILE *, unsigned char);
	void printPSHeader (FILE *);
	void printPSFooter (FILE *);
	void printPageHeader (mail *, FILE *);
	void printPageFooter (FILE *);
	void insertNewLines (char *);
	void printMailSizeSet (mail *m, FILE *fp, char *text);
	void setSize (enum PAPERSIZE size);
	void xface(char *str);
};
#endif
