/* 
 * This file is part of XCmail and is subject to the 
 * XCmail license agreement
 */

/* $Id: signature.h,v 2.1 1999/01/07 16:09:05 beckerr Exp $ */


#ifndef SIGNATURE_H
#define SIGNATURE_H

#include "config.h"
#include "mailer.h"
#include "strbuf.h"

class allsignatures
{
	void readsigs(void);
public:
	char	*signatures[MAXSIGNATURES+1];
	int 	signatures_count;

	allsignatures(void);
	~allsignatures();
};

class signature
{
	xcm_strbuf	addedsignature;

	void read(char *suffix=NULL);
public:
	signature(char *suffix=NULL);
	~signature();

	char *get(void);
};

#endif
