dnl aclocal.m4 generated automatically by aclocal 1.3

dnl Copyright (C) 1994, 1995, 1996, 1997, 1998 Free Software Foundation, Inc.
dnl This Makefile.in is free software; the Free Software Foundation
dnl gives unlimited permission to copy and/or distribute it,
dnl with or without modifications, as long as this notice is preserved.

dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY, to the extent permitted by law; without
dnl even the implied warranty of MERCHANTABILITY or FITNESS FOR A
dnl PARTICULAR PURPOSE.


dnl *********************************************************
dnl Funktions
dnl *********************************************************

dnl ----------------------------------------------------
dnl  XC_MSG_NO_PLUGINS
dnl  Input:        -
dnl  Output:       -
dnl  Define:       -
dnl  Substitution: -
dnl  Action:       -
dnl ----------------------------------------------------
dnl 
AC_DEFUN(XC_MSG_NO_PLUGINS,[
	AC_MSG_RESULT([----------------------------------------------------------------])
	AC_MSG_RESULT()
	AC_MSG_RESULT([  building without dynamic plugins, linking plugins statically])
	AC_MSG_RESULT()
	AC_MSG_RESULT([----------------------------------------------------------------])
])

dnl ----------------------------------------------------
dnl  XC_CHECK_UNAME
dnl  Input:        -
dnl  Output:       -
dnl  Define:       -
dnl  Substitution: XC_UNAME
dnl  Action:       -
dnl ----------------------------------------------------
dnl 
AC_DEFUN(XC_CHECK_UNAME,[
	AC_MSG_CHECKING(for XC_UNAME)
	AC_CACHE_VAL(xc_cv_os_uname,[
		xc_cv_os_uname=`uname`
	])
	AC_MSG_RESULT($xc_cv_os_uname)
	XC_UNAME="$xc_cv_os_uname"
	AC_SUBST(XC_UNAME)
	AC_DEFINE_UNQUOTED(XC_UNAME,"$xc_cv_os_uname")
])

dnl ----------------------------------------------------
dnl  XC_CHECK_RELEASE
dnl  Input:        <none>
dnl  Output:       <none>
dnl  Define:       <none>
dnl  Substitution: XC_RELEASE
dnl  Action:       -
dnl ----------------------------------------------------
dnl 
AC_DEFUN(XC_CHECK_RELEASE,[
	AC_REQUIRE([XC_CHECK_UNAME])
	AC_MSG_CHECKING(for XC_RELEASE)
	AC_CACHE_VAL(xc_cv_os_release,[
		if test "$xc_cv_os_uname" = AIX ; then
			xc_cv_os_release=`oslevel`
		elif test "$xc_cv_os_uname" = FreeBSD ; then
			xc_cv_os_release=`uname -r|sed 's:-.*$::'`
		else
			xc_cv_os_release=`uname -r 2>/dev/null`
			if test -z "$xc_cv_os_release"; then
				xc_cv_os_release="unknown"
			fi
		fi
	])
	AC_MSG_RESULT($xc_cv_os_release)
	XC_RELEASE="$xc_cv_os_release"
	AC_SUBST(XC_RELEASE)
	AC_DEFINE_UNQUOTED(XC_RELEASE,"$xc_cv_os_release")
])

dnl ----------------------------------------------------
dnl  XC_CHECK_ARCH
dnl  Input:        <none>
dnl  Output:       <none>
dnl  Define:       <none>
dnl  Substitution: XC_ARCH
dnl  Action:       -
dnl ----------------------------------------------------
dnl 
AC_DEFUN(XC_CHECK_ARCH,[
	AC_MSG_CHECKING(for XC_ARCH)
	AC_CACHE_VAL(xc_cv_os_arch,
	[
		changequote(<<<,>>>)dnl
		if test "$xc_cv_os_uname" = "IRIX" ; then
			xc_cv_os_arch=`hinv\
				|sed -e 'y/ABCDEFGHIJKLMNOPQRSTUVWXYZ/abcdefghijklmnopqrstuvwxyz/' \
				     -e 's/CPU: *\([^ ]*\).*$/\1/p' -e 'D'`
		elif test "$xc_cv_os_uname" = "AIX" ; then
			xc_cv_os_arch=`/usr/sbin/lsattr -EHl proc0\
				|sed -e 'y/ABCDEFGHIJKLMNOPQRSTUVWXYZ/abcdefghijklmnopqrstuvwxyz/' \
				     -e 's/^type *\([^ _]*\).*$/\1/p' -e 'D'`
			if test "$xc_cv_os_arch" = "power" ; then
				xc_cv_os_arch=rs6000
			fi
		elif test "$xc_cv_os_uname" = "FreeBSD" ; then
			xc_cv_os_arch=`uname -m`
		else
			xc_cv_os_arch=`uname -p 2>/dev/null`
			if test -z "$xc_cv_os_arch" ; then
				xc_cv_os_arch="unknown"
			fi
		fi
		changequote([,])dnl
	])
	AC_MSG_RESULT($xc_cv_os_arch)
	XC_ARCH="$xc_cv_os_arch"
	AC_SUBST(XC_ARCH)
	AC_DEFINE_UNQUOTED(XC_ARCH,"$xc_cv_os_arch")
])

dnl ----------------------------------------------------
dnl  XC_DO_TEXT2H
dnl  Input:        var,in,out
dnl  Output:       <none>
dnl  Define:       <none>
dnl  Substitution: <none>
dnl  Action:       creates <file>.h from <file>
dnl ----------------------------------------------------
dnl 
AC_DEFUN(XC_DO_TEXT2H,[
	if test "$3" = "" ; then
		_d=.$2.h
	else
		_d=$3
	fi
	AC_MSG_RESULT(creating $_d)
	(	echo "static char *$1=\""
		sed -e "s/\\\\/\\\\\\\\/g" -e "s/\"/\\\\\"/g"
		echo "\";"
	) <$2 >$_d
])

dnl ----------------------------------------------------
dnl  XC_DO_TEXT2B
dnl  Input:        var,in,out
dnl  Output:       <none>
dnl  Define:       <none>
dnl  Substitution: <none>
dnl  Action:       creates <file>.h from <file>
dnl ----------------------------------------------------
dnl 
AC_DEFUN(XC_DO_TEXT2B,[
	if test "$3" = "" ; then
		_d=.$2.h
	else
		_d=$3
	fi
	AC_MSG_RESULT(creating $_d)
	(	$CC spam_bouncer/conv.c -o spam_bouncer/conv
		spam_bouncer/conv $1
		rm -f spam_bouncer/conv
	) <$2 >$_d
])

dnl ----------------------------------------------------
dnl  XC_CHECK_LIBA
dnl  Input:        <string to substitute> <short lib name>
dnl  Output:       <none>
dnl  Define:       <none>
dnl  Substitution: <string to substitute>
dnl  Action:       find static library
dnl ----------------------------------------------------
dnl 
AC_DEFUN(XC_CHECK_LIBA,
[	AC_MSG_CHECKING(for lib$2.a)
	xc_cv_liba=`gcc -print-file-name=lib$2.a`
	if test "$xc_cv_liba" = "lib$2.a" ; then
		for i in $XCLASSESLIB $x_libraries /usr/local/lib /usr/net/lib /opt/lib ; do
			if test -f "$i/lib$2.a" ; then
				xc_cv_liba=$i/lib$2.a
				break
			fi
		done
	fi
	if test "$xc_cv_liba" = "lib$2.a" ; then	
		xc_cv_liba=
		AC_MSG_RESULT(no)
	else
		if test -n "$1" ; then
			eval $1=$xc_cv_liba
		fi
		STAT_LIBS="$xc_cv_liba $STAT_LIBS"
		AC_MSG_RESULT($xc_cv_liba)
	fi
	AC_SUBST($1)dnl
])


dnl ----------------------------------------------------
dnl  XC_CHECK_DLOPEN_FLAGS
dnl  Input:        <none>
dnl  Output:       <none>
dnl  Define:       DLOPEN_RTLD
dnl  Substitution: <none>
dnl  Action:       -
dnl ----------------------------------------------------
dnl 
AC_DEFUN(XC_CHECK_DLOPEN_FLAGS,[
	AC_MSG_CHECKING(for dlopen flags)
	AC_CACHE_VAL(xc_cv_cc_dlopen_flags,
	[AC_EGREP_CPP(yes,[
	 #include <dlfcn.h>
	 #if defined(RTLD_GLOBAL) && defined(RTLD_LAZY) 
	 yes
	 #endif],xc_cv_cc_dlopen_flags=1,xc_cv_cc_dlopen_flags=0)])
	if test $xc_cv_cc_dlopen_flags = 1 ; then
		AC_DEFINE(HAVE_DLOPEN_FLAGS)
		AC_MSG_RESULT(yes)
	else
		AC_MSG_RESULT(no)
	fi
])

dnl ----------------------------------------------------
dnl  XC_CHECK_SYSDEFINE
dnl  Input:        <none>
dnl  Output:       <none>
dnl  Define:       <none>
dnl  Substitution: XC_SYSDEFINE
dnl  Action:       -
dnl ----------------------------------------------------
dnl 
AC_DEFUN(XC_CHECK_SYSDEFINE,[
	AC_REQUIRE([XC_CHECK_UNAME])
	AC_MSG_CHECKING(for $CXX knows -D__${XC_UNAME}__)
	AC_CACHE_VAL(xc_cv_cc_knowns_uname,
	[AC_EGREP_CPP(yes,[
	 #ifdef __${XC_UNAME}__
	 yes
	 #endif],xc_cv_cc_knowns_uname=1,xc_cv_cc_knowns_uname=0)])
	if test $xc_cv_cc_knowns_uname = 1 ; then
		XC_SYSDEFINE=""
		AC_MSG_RESULT(yes)
	else
		XC_SYSDEFINE="-D__${XC_UNAME}__"
		AC_MSG_RESULT(no)
	fi
	AC_SUBST(XC_SYSDEFINE)
	CPPFLAGS="-D__${XC_UNAME}__ $CPPFLAGS"
])

dnl ----------------------------------------------------
dnl  XC_CHECK_INCLUDEPATH
dnl  Input:        path to test
dnl  Output:       <none>
dnl  Define:       <none>
dnl  Substitution: <none>
dnl  Action:       append path to CPPFLAGS if path exists
dnl ----------------------------------------------------
dnl 
AC_DEFUN(XC_CHECK_INCLUDEPATH,[
	AC_MSG_CHECKING(for special include path)
	if test -d $1 ; then
		CPPFLAGS="$CPPFLAGS -I$1"
		AC_MSG_RESULT($1)
	else
		AC_MSG_RESULT(no)
	fi
])


# Do all the work for Automake.  This macro actually does too much --
# some checks are only needed if your package does certain things.
# But this isn't really a big deal.

# serial 1

dnl Usage:
dnl AM_INIT_AUTOMAKE(package,version, [no-define])

AC_DEFUN(AM_INIT_AUTOMAKE,
[AC_REQUIRE([AM_PROG_INSTALL])
PACKAGE=[$1]
AC_SUBST(PACKAGE)
VERSION=[$2]
AC_SUBST(VERSION)
dnl test to see if srcdir already configured
if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
  AC_MSG_ERROR([source directory already configured; run "make distclean" there first])
fi
ifelse([$3],,
AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE")
AC_DEFINE_UNQUOTED(VERSION, "$VERSION"))
AC_REQUIRE([AM_SANITY_CHECK])
AC_REQUIRE([AC_ARG_PROGRAM])
dnl FIXME This is truly gross.
missing_dir=`cd $ac_aux_dir && pwd`
AM_MISSING_PROG(ACLOCAL, aclocal, $missing_dir)
AM_MISSING_PROG(AUTOCONF, autoconf, $missing_dir)
AM_MISSING_PROG(AUTOMAKE, automake, $missing_dir)
AM_MISSING_PROG(AUTOHEADER, autoheader, $missing_dir)
AM_MISSING_PROG(MAKEINFO, makeinfo, $missing_dir)
AC_REQUIRE([AC_PROG_MAKE_SET])])


# serial 1

AC_DEFUN(AM_PROG_INSTALL,
[AC_REQUIRE([AC_PROG_INSTALL])
test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL_PROGRAM}'
AC_SUBST(INSTALL_SCRIPT)dnl
])

#
# Check to make sure that the build environment is sane.
#

AC_DEFUN(AM_SANITY_CHECK,
[AC_MSG_CHECKING([whether build environment is sane])
# Just in case
sleep 1
echo timestamp > conftestfile
# Do `set' in a subshell so we don't clobber the current shell's
# arguments.  Must try -L first in case configure is actually a
# symlink; some systems play weird games with the mod time of symlinks
# (eg FreeBSD returns the mod time of the symlink's containing
# directory).
if (
   set X `ls -Lt $srcdir/configure conftestfile 2> /dev/null`
   if test "[$]*" = "X"; then
      # -L didn't work.
      set X `ls -t $srcdir/configure conftestfile`
   fi
   if test "[$]*" != "X $srcdir/configure conftestfile" \
      && test "[$]*" != "X conftestfile $srcdir/configure"; then

      # If neither matched, then we have a broken ls.  This can happen
      # if, for instance, CONFIG_SHELL is bash and it inherits a
      # broken ls alias from the environment.  This has actually
      # happened.  Such a system could not be considered "sane".
      AC_MSG_ERROR([ls -t appears to fail.  Make sure there is not a broken
alias in your environment])
   fi

   test "[$]2" = conftestfile
   )
then
   # Ok.
   :
else
   AC_MSG_ERROR([newly created file is older than distributed files!
Check your system clock])
fi
rm -f conftest*
AC_MSG_RESULT(yes)])

dnl AM_MISSING_PROG(NAME, PROGRAM, DIRECTORY)
dnl The program must properly implement --version.
AC_DEFUN(AM_MISSING_PROG,
[AC_MSG_CHECKING(for working $2)
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf.  Sigh.
if ($2 --version) < /dev/null > /dev/null 2>&1; then
   $1=$2
   AC_MSG_RESULT(found)
else
   $1="$3/missing $2"
   AC_MSG_RESULT(missing)
fi
AC_SUBST($1)])

# Add --enable-maintainer-mode option to configure.
# From Jim Meyering

# serial 1

AC_DEFUN(AM_MAINTAINER_MODE,
[AC_MSG_CHECKING([whether to enable maintainer-specific portions of Makefiles])
  dnl maintainer-mode is disabled by default
  AC_ARG_ENABLE(maintainer-mode,
[  --enable-maintainer-mode enable make rules and dependencies not useful
                          (and sometimes confusing) to the casual installer],
      USE_MAINTAINER_MODE=$enableval,
      USE_MAINTAINER_MODE=no)
  AC_MSG_RESULT($USE_MAINTAINER_MODE)
  if test $USE_MAINTAINER_MODE = yes; then
    MAINT=
  else
    MAINT='#M#'
  fi
  AC_SUBST(MAINT)dnl
]
)

# Check to see if we're running under Win32, without using
# AC_CANONICAL_*.  If so, set output variable EXEEXT to ".exe".
# Otherwise set it to "".

dnl AM_EXEEXT()
dnl This knows we add .exe if we're building in the Cygwin32
dnl environment. But if we're not, then it compiles a test program
dnl to see if there is a suffix for executables.
AC_DEFUN(AM_EXEEXT,
[AC_REQUIRE([AM_CYGWIN32])
AC_REQUIRE([AM_MINGW32])
AC_MSG_CHECKING([for executable suffix])
AC_CACHE_VAL(am_cv_exeext,
[if test "$CYGWIN32" = yes || test "$MINGW32" = yes; then
am_cv_exeext=.exe
else
cat > am_c_test.c << 'EOF'
int main() {
/* Nothing needed here */
}
EOF
${CC-cc} -o am_c_test $CFLAGS $CPPFLAGS $LDFLAGS am_c_test.c $LIBS 1>&5
am_cv_exeext=
for file in am_c_test.*; do
   case $file in
    *.c) ;;
    *.o) ;;
    *) am_cv_exeext=`echo $file | sed -e s/am_c_test//` ;;
   esac
done
rm -f am_c_test*])
test x"${am_cv_exeext}" = x && am_cv_exeext=no
fi
EXEEXT=""
test x"${am_cv_exeext}" != xno && EXEEXT=${am_cv_exeext}
AC_MSG_RESULT(${am_cv_exeext})
AC_SUBST(EXEEXT)])

# Check to see if we're running under Cygwin32, without using
# AC_CANONICAL_*.  If so, set output variable CYGWIN32 to "yes".
# Otherwise set it to "no".

dnl AM_CYGWIN32()
AC_DEFUN(AM_CYGWIN32,
[AC_CACHE_CHECK(for Cygwin32 environment, am_cv_cygwin32,
[AC_TRY_COMPILE(,[return __CYGWIN32__;],
am_cv_cygwin32=yes, am_cv_cygwin32=no)
rm -f conftest*])
CYGWIN32=
test "$am_cv_cygwin32" = yes && CYGWIN32=yes])

# Check to see if we're running under Mingw, without using
# AC_CANONICAL_*.  If so, set output variable MINGW32 to "yes".
# Otherwise set it to "no".

dnl AM_MINGW32()
AC_DEFUN(AM_MINGW32,
[AC_CACHE_CHECK(for Mingw32 environment, am_cv_mingw32,
[AC_TRY_COMPILE(,[return __MINGW32__;],
am_cv_mingw32=yes, am_cv_mingw32=no)
rm -f conftest*])
MINGW32=
test "$am_cv_mingw32" = yes && MINGW32=yes])

# Define a conditional.

AC_DEFUN(AM_CONDITIONAL,
[AC_SUBST($1_TRUE)
AC_SUBST($1_FALSE)
if $2; then
  $1_TRUE=
  $1_FALSE='#'
else
  $1_TRUE='#'
  $1_FALSE=
fi])

