/* 
 * This file is part of XCmail and is subject to the 
 * XCmail license agreement
 */

/* $Id: check_new_release.h,v 2.6 2002/03/08 10:05:35 schmitzj Exp $ */


#include "../include/plugins.h"
#include <string.h>
#include <stdio.h>

class check_new_release : public mainplugin
{
	config *cfg;
	void cfgsetup(void);

friend int wiz_store(void);
	int enable;
	int mode;
	int ask;
	int askplace;
	int askdevelopment;
	char defaultdir[200];
	char lastdevelopmentversion[50];
	int latest_news;
	char LATESTurl[200];

	void error(char *);

	int	sock;
	int runmode;
	int writesize;
	int readsize;
	int asciimode:1;
	FILE *writefile;
	char filename[400];
	char recbuf[1024];
	int recpos;

	int getcount;

	appwindow *mywin;

	char *cnbuf;
	int cnbufsize;
	int cnbufused;

	int getbycount(void);
	void check(void);
	int get(char *url);
	void sockhandler(int s);
	void excepthandler(int s);
	void stophandler(appwindow *);

	char *askBinary(class mail *,char *which);

public:
	check_new_release(void);
	~check_new_release();

	void init(void);
	void finish(void);
	void handle(int id);

	group *makeconfig(void);
	void readconfig(group *);

	void readconfigfile(void);
	void writeconfigfile(void);
};
