/* 
 * This file is part of XCmail and is subject to the 
 * XCmail license agreement
 */

/* $Id: condition.h,v 1.9 1999/01/24 23:43:18 schmitzj Exp $ */


// public header file - for new conditions
#ifndef CONDITION_H
#define CONDITION_H

#include "misc.h"

class condition : public cfg_plugin
{
public:
	condition(char *name,char *author);
	condition(class condition *,char *n);
	virtual ~condition();

	virtual class condition *clone(char *n)=0;

	virtual int work(class mail *)=0;		// check the mail: 0: false

	virtual int load(tokenizer *)=0;		// gets parameters
	virtual int save(tokenizer *)=0;		// sets parameters

	virtual group *makeprefs(void)=0;		// create dynamic GUI (freed by system) - or NULL
	virtual void setupprefs(group *)=0;		// set defaults or current values in GUI (depends on object: main plugin or clone)
	virtual void readprefs(group *)=0;		// read values and set (only within clone used)
};

#endif
