/* 
 * This file is part of XCmail and is subject to the 
 * XCmail license agreement
 */

/* $Id: conditionlist.cxx,v 1.2 1999/01/24 23:43:18 schmitzj Exp $ */


#include "../configure.h" 
#include "simple_filter.h"
#include "filter.h"
#include "condition.h"

conditionlist::conditionlist(simple_filter *p) : saveabledlist()
{
	parent=p;
}
conditionlist::~conditionlist()
{
}

int conditionlist::load(tokenizer *tk)
{ // <name> <pluginName> <parameter>
	int r=0;
	condition *cd=simple_filter::findCondition((*tk)[1]);
	if (cd)
	{
		cd=cd->clone((*tk)[0]);
		if (cd)
		{
			AddTail((workablenode*)cd);
			tk->remove(0);
			tk->remove(0);
			r=cd->load(tk);
		}
	}
	return r;
}
int conditionlist::save(tokenizer *tk,int l)
{
	condition *n=(condition*)(workablenode*)Find(l+1);
	if (n)
	{
		tk->append(new token(n->getname()));
		tk->append(new token(n->plugin_name()));
		return saveabledlist::save(tk,l);
	}
	return 0;
}

// ----------------------------------------------------------------------------

condition::condition(char *name,char *author) : cfg_plugin(name,author,PT_SCondition,PLF_INVISIBLE|PLF_CLONEUSE)
{
}
condition::condition(class condition *c,char *n) : cfg_plugin(c,n)
{
}
condition::~condition()
{
}
