/* 
 * This file is part of XCmail and is subject to the 
 * XCmail license agreement
 */

/* $Id: test.cxx,v 2.2 2002/05/13 12:08:02 schmitzj Exp $ */


#include "../configure.h" 

#include "test.h"

//--------------------------------------------------------------------
// Test

//helper_test::helper_test(char *name,char *author,char *mimes) : helper(name,author,mimes,HL_PDMENU|HL_GADGETS|HL_SETUP,"This is a demo plugin helper.")
helper_test::helper_test(char *name,char *author,char *mimes) : helper(name,author,mimes,HL_PDMENU|HL_GADGETS,"This is a demo plugin helper.")
{
	gp=NULL;
	cfgsetup();
}
helper_test::helper_test(helper_test *p) : helper(p)
{
	gp=NULL;
	cfg=NULL;
}
helper_test::~helper_test()
{
	if (gp)
		DeleteObjectTree(gp->FullName(),0);
}

class helper *helper_test::clone(char *in,int insize)
{
	return new helper_test(this);
}

char *helper_test::go(int &newsize)
{
	return NULL;
}
int helper_test::makegadget(class visible *v)
{
//	visible->Apply(GROUP);
//	Name is ".visiblegroup.helpervisible"

	gp=new group;
	text *t=new text;
	t->FixedText();
	t->Text("This is a test of a helper!\n");
	gp->Add(t);

	v->Apply(gp);
	return gp!=NULL;
}
int helper_test::makemenu(class menu *m,int mn)
{
	m->Add("Test 1",1);
	m->LockItem(mn,1);
	m->Add("Test 2",2);
	menu=mn;
	return 1;
}
void helper_test::menuhandler(class menu *m,int mid)
{
	switch (mid)
	{
		case 1:
			m->LockItem(menu,1);
			m->UnlockItem(menu,2);
			break;
		case 2:
			m->LockItem(menu,2);
			m->UnlockItem(menu,1);
			break;
	}
}
group *helper_test::makeconfig(void)
{
	group *g=new group;
	g->Vert();
	// make some silly checkboxes

	text *txt=new text;
	txt->Text("If you see this text, the plugins are working.\nThis is only a plugin test and my be ignored.");
	g->Add(txt);
	return g;
}
void helper_test::readconfig(group *g)
{ // simple test
	option1=((checkbox*)FindObject(g->FullName(),".dummy_1"))->State()==PRESSED;
}

void helper_test::readconfigfile(void)
{ // simple test
	cfg->Read();
}
void helper_test::writeconfigfile(void)
{ // simple test
	cfg->Write();
}

void helper_test::cfgsetup(void) {

	static configopts cfgitems[] = {
		{"B:dummy1",(char*)&option1},
		{NULL, 						NULL}
	};
	cfg = new config("~/.XCmail/helper-preferences-helper_test");
	cfg->SetItems(cfgitems);
	option1=0;
}

//--------------------------------------------------------------------

static helper_test t1("helper1","Jrgen Schmitz","text/x-xcmail-test");
