/* 
 * This file is part of XCmail and is subject to the 
 * XCmail license agreement
 */

/* $Id: decoder_abstract.cxx,v 2.4 1999/04/22 16:13:59 beckerr Exp $ */


#include "configure.h"

#include <Xclasses/Xclasses.h>
#include <string.h>
#include <ctype.h>
#include "mailer.h"
#include "encoder.h"

int decoder_abstract::decode(appwindow *aw,int s,char *path,char *filename)
{
	int err=0;
	levelwindow *lw=NULL;
	class encoder *ec=prgencode->find(ml->contentencoding(s));
	int nsize=0,size=0;
	char *c=ml->mailbody(size,s);
	char *conv=ml->getContentTag("conversions=",s);

	ispgpkey=0;

	if (size>10000 && aw)
		lw=new levelwindow(aw,"Decode...",5,"Step");
	if (lw) lw->update(2,2);

	if (conv)
	{
		if (!strcscmp("x-gzip",conv))
		{
		}
		else if (!strcscmp("x-compress",conv))
		{
		}
	}

	if (strstr(c,"-----BEGIN PGP PUBLIC KEY BLOCK-----")) ispgpkey=1;
		
	if (ec && (ec->flags & EF_DECODE))
	{
		char *buf=ec->mail2data(c,size,nsize,path,filename);
		if (lw) lw->update(3,3);
		if (buf)
		{
			if (filename)
			{
				FILE *fl;
				char name[500];
				strcpy(name,path);
				strcat(name,filename);
				if (fl=fopen(name,"w"))
				{
					if (lw) lw->update(4,4);
					err=err||(fwrite(buf,1,nsize,fl)!=nsize);
					err=fclose(fl)!=0||err;
				}
				else
					err=1;
			}
			else
				showtext(buf,nsize);
			ec->dispose(buf);
		}
		else if (!filename)
			showtext(buf,size);
	}
	else if (!filename)
		showtext(c,size);
	else
	{
		if (lw) lw->update(3,3);
		if (filename)
		{
			FILE *fl;
			char name[500];
			strcpy(name,path);
			strcat(name,filename);
			if (fl=fopen(name,"w"))
			{
				if (lw) lw->update(4,4);
				err=err||(fwrite(c,1,size,fl)!=size);
				err=fclose(fl)!=0||err;
			}
			else
				err=1;
		}
	}
	if (lw) lw->update(5,5);
	if (lw) delete lw;
	return err;
}
