/* 
 * This file is part of XCmail and is subject to the 
 * XCmail license agreement
 */

/* $Id: filter_spec.h,v 2.9 1999/01/15 21:16:39 schmitzj Exp $ */


#ifndef FILTER_SPEC_H
#define FILTER_SPEC_H

#include <Xclasses/Xclasses.h>
#include "plugins.h"

class filter_spec : public plugins
{
friend class filter_mgr;
protected:
	group *mygroup;		// readonly
public:
	filter_spec(char *name,char *author);
	~filter_spec();

	virtual int save(void) =0;
	virtual int load(void) =0;
	virtual group *genprefs(void)   =0;
	virtual void readprefs(group *) =0;

	virtual int filter(class mail *)=0;		// 0: add mail, 1: don't add, free memory
};

#endif
