/* 
 * This file is part of XCmail and is subject to the 
 * XCmail license agreement
 */

/* $Id: enriched.h,v 2.1 1999/01/07 16:09:09 beckerr Exp $ */


#include "../helper.h"
#include "url.h"
#include "urltools.h"

class enriched : public classUrlList, public helper {
	
	private:
		char *text;
		char *bufP;
		int  size;
		url	 *urlHelper;

		static char linelength;

		config *cfg;
		void cfgsetup(void);
		
	public:
		enriched(void);
		enriched(class enriched *,char *,int);
		~enriched();
		virtual class helper *clone(char *in, int insize);
		virtual char *go(int &newsize);
		int makemenu(class menu *m, int mn);
		void menuhandler(class menu *m,int mid);

		class group *makeconfig(void);
		void readconfig(class group *);
		void readconfigfile(void);
		void writeconfigfile(void);
};

