/* 
 * This file is part of XCmail and is subject to the 
 * XCmail license agreement
 */

/* $Id: vcard.h,v 1.5 2000/06/15 14:33:27 schmitzj Exp $ */


#include "../helper.h"
#include "../address_book.h"
#include "../strbuf.h"

class vcard : public callable, helper
{
	char *text;
	int size;
	Address	*addr;

	group *mygp;

	void parse(void);
	void addbook(gadget *,int);

public:
	vcard(void);
	vcard(vcard *,char *,int);
	~vcard();
	virtual helper *clone(char *in, int insize);
	virtual char *go(int &newsize);
	virtual int makegadget(visible *);
};

extern vcard _vcard;
