/* 
 * This file is part of XCmail and is subject to the 
 * XCmail license agreement
 */

/* $Id: newbutton.h,v 2.1 1999/01/07 16:09:00 beckerr Exp $ */


#ifndef INCL_NEWBUTTON_H
#define INCL_NEWBUTTON_H

#include <Xclasses/Xclasses.h>

class newbutton : Ddraw, public gadget
//public fbutton
{
	int count;
	int pos;
	int beepmode;
	int playsound:1;

	unsigned int colors[6];
	int fc;
	int fc_count;
	char *text;

	indicator indy;

	void startsound(void);
	void play(void);
public:
	newbutton(void);
	~newbutton();

	int Create(void);
	void Free(void);
	int GActivate(XEvent *e,int why);
	int GSelected(XEvent *e,int why,int wasabove);
	void GActionPress(int mx,int my,int rx,int ry,unsigned int state,int button,int reason);
	void GActionRelease(int mx,int my,int rx,int ry,unsigned int state,int button,int reason);
	void GSetLimits(void);
	void GExpose(XEvent *e);
	void Lock(void);
	void Unlock(void);

	void Text(char *t);
	void Value(int);
};

#endif
