/* 
 * This file is part of XCmail and is subject to the 
 * XCmail license agreement
 */

/* $Id: sendmail.h,v 2.6 2002/07/04 13:24:00 schmitzj Exp $ */


#ifndef SENDMAIL_H
#define SENDMAIL_H

#include <unistd.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include "mailer.h"
#include <Xclasses/Xclasses.h>

class sendmail : public Xclasses
{
	FILE *f;
	int sockfd;
	struct sockaddr_in cli_addr,serv_addr;
	char *mailfile;
	appwindow *aw;
	statusobj *nm;
	FILE *rcptfile;
	int more;

	int sizetotal;
	int sizedone;

	int smtp_auth_can_login:1,
	    smtp_auth_can_plain:1,
		smtp_auth_can_crammd5:1;

	int runmode;
	int err;

	int answer(char *buf,int maxsize);
	int sendstring(char *buf,int len=-1);
	int  RCPT(void);
	void statusfunc(char *txt,int v=0);
	void talkerror(char *t=NULL);
	void writehandler(int fd);
	void readhandler(int fd);
	void rmspool(void);

public:
	sendmail(char *mailfile,int size,appwindow *aw,class statusobj *nm,int more=0);
	~sendmail();
	int send(void);
};

#endif
