/* 
 * This file is part of XCmail and is subject to the 
 * XCmail license agreement
 */

/* $Id: strbuf.h,v 2.4 2001/10/10 17:12:04 schmitzj Exp $ */


#ifndef STRBUF_H
#define STRBUF_H

class xcm_strbuf
{
	char *buf;
	int used;
	int size;
	int x;
public:
	xcm_strbuf(void)
	{
 		buf=NULL;
		used=0;
		size=0;
		x=0;
	};
	~xcm_strbuf()
	{
 		if (buf) free(buf);
	};
	char *operator+(char *);
	void operator+=(char *);
	char *operator+(char);
	void operator+=(char);
	char *operator()(void);
	void clear(void);

	operator char *() const;
	void operator()(int size);	// change buffersize (eg: object(GetSize()+1); GetCopy(object(),GetSize()+1); object.update(); )
	void update(void);			// update used

	void resize(int r);

	int length(void);
};

#endif
