/* 
 * This file is part of XCmail and is subject to the 
 * XCmail license agreement
 */

/* $Id: xfacegg.h,v 2.1 1999/01/07 16:09:07 beckerr Exp $ */


#ifndef XFACEGG_H
#define XFACEGG_H

#include <Xclasses/Xclasses.h>
extern "C"
{
#include "xface/xface.h"
}

class xfacegg : private Ddraw, public gadget
{
	Pixmap	pix;
	int		w,h;
	char	*tmp_str;
	void draw(void);
	graphic icon;
	graphic ishadow;
public:
    virtual void GExpose(XEvent *event);
    virtual void GSetLimits(void);

	xfacegg(void);
	~xfacegg();

    virtual int Create(void);
    void Free(void);

	void XFace(char *);
	void XFaceStr(char *str);

	Pixmap pixmap(void) { return pix; };
	Pixmap iconmap(void) { return icon.pixmap(); };
	Pixmap shadowmap(void) { return ishadow.pixmap(); };
};

#endif
